SYSTEM WARNING: 'file_get_contents(https://www.clearos.com/?rendertype=json&get=header): failed to open stream: Connection refused' in '/var/www/virtual/newwrapper/cf_topmenu.inc' line 5

ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001795ClearOSapp-services - Services Managerpublic2014-06-19 15:202014-09-17 15:42
Reporteruser2 
Assigned Touser2 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version6.6.0 Beta 2Fixed in Version6.6.0 Beta 2 
Summary0001795: Hide multiservice apps from the UI
DescriptionA number of daemons can run multiple processes:

- Snort (one daemon per WAN interface)
- Arpwatch (one daemon per LAN interface)
- OpenVPN (one daemon per VPN configuration)

Systemd handles these configurations quite differently -- each instance can be controlled individually, e.g.

systemctl enable snort@eth0
systemctl enable openvpn@paris

The "Service Manager" app should hide the start/stop and enable/disable buttons for these daemons. The link to the app can be used instead (if desired). In the future, we can add callbacks to handle:

xyz->set_running_state()
xyz->set_boot_state()
TagsNo tags attached.
Attached Files

- Relationships
related to 0001796closeduser2 Add support for multiservice apps 
related to 0001962closeduser2 Re-enable multiservice apps in the UI 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-06-19 15:20 user2 New Issue
2014-06-19 15:21 user2 Issue cloned: 0001796
2014-06-19 15:22 user2 Description Updated View Revisions
2014-06-19 18:18 user2 Status new => confirmed
2014-06-19 18:40 user2 Relationship added related to 0001796
2014-06-19 18:40 user2 Target Version 7.0.0 Alpha 2 => 6.6.0 Beta 2
2014-06-19 18:40 user2 Status confirmed => resolved
2014-06-19 18:40 user2 Fixed in Version => 6.6.0 Beta 2
2014-06-19 18:40 user2 Resolution open => fixed
2014-06-19 18:40 user2 Assigned To => user2
2014-06-24 20:47 user2 Status resolved => closed
2014-09-17 15:42 user2 Issue cloned: 0001962
2014-09-17 15:42 user2 Relationship added related to 0001962

SYSTEM WARNING: 'file_get_contents(https://www.clearos.com/?rendertype=json&get=footer): failed to open stream: Connection refused' in '/var/www/virtual/newwrapper/cf_footer.inc' line 7